Subject: bug#38175: closed (Re: bug#38175: configure: error: Guix requires zlib.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 12 Nov 2019 08:37:02 +0000

Your bug report

#38175: configure: error: Guix requires zlib.

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38175: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38175
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#38175: configure: error: Guix requires zlib.
From: Chris Marusich <[email-masked]>
To: Efraim Flashner <[email-masked]>
Cc: [email-masked]
Date: Tue, 12 Nov 2019 00:36:36 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Efraim Flashner <[email-masked]> writes:

> I'm pretty sure this parses (guix environment guix -- ad-hoc zlib --
> ./bootstrap) && ./configure --localstatedir=/var && make

You're absolutely right.  I can't believe I made such a silly mistake!
Thank you for lending me a second pair of eyes.  :-)

I'm closing this bug report.

-- 
Chris

Subject: configure: error: Guix requires zlib.
From: Chris Marusich <[email-masked]>
To: [email-masked]
Date: Mon, 11 Nov 2019 21:10:03 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I keep getting this error when trying to build Guix.  I got it just
today when invoking the following command from a clean checkout:

guix environment --pure guix -- ./bootstrap && ./configure --localstatedir=/var && make

My current guix version is 18a69803e2eea4f7555d6eafb6497a645c2d094f:

$ guix describe
guile: warning: failed to install locale
Generation 5	Nov 11 2019 20:03:30	(current)
  guix 18a6980
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 18a69803e2eea4f7555d6eafb6497a645c2d094f

GUIX_PACKAGE_PATH="/home/marusich/custom-guix-packages"

The commit I had checked out was:
18a69803e2eea4f7555d6eafb6497a645c2d094f.

Can anyone reproduce this issue?  It happens consistently for me using
this checkout.  This is the tip of the master branch, by the way.  I ran
"guix pull" without any problem earlier today.  It happens even if I
remove the "--pure" option:

guix environment guix -- ./bootstrap && ./configure --localstatedir=/var && make

It still happens even if I add zlib ad-hoc to the environment:

$ guix environment guix --ad-hoc zlib -- ./bootstrap && ./configure --localstatedir=/var && make

It's pretty strange.

-- 
Chris